package org.project.entity.players;

import org.project.entity.Entity;

public interface ICombatActions
{

    // 1. Light Attack
    void lightAttack(Entity target);

    // 2. Heavy Attack
    void heavyAttack(Entity target);

    // 3. Defend
    void defendAction();

    // 4. Heal
    void healAction();

    // 5. Special Ability
    void specialAbility(Entity target);
}
